Bug 169962 - CPU hotplug code is broken
CPU hotplug code is broken
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: 169696 169983 170408 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-10-05 17:20 EDT by Brian Gerst
Modified: 2015-01-04 17:22 EST (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.13-1.1601_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-19 12:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
[PATCH] Fix hotplug cpu on x86_64 (2.69 KB, patch)
2005-10-07 00:19 EDT, Brian Gerst
no flags Details | Diff

  None (edit)
Description Brian Gerst 2005-10-05 17:20:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
The current x86_64 CPU hotplug code has a serious bug in it where uninitialized per-cpu data is being used, causing strange values in /proc/stat and /proc/loadavg, and possibly more significant corruption.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
$ cat /proc/loadavg

Actual Results:  1520403.66 -986344.09 666845.94 1/68 23510

Expected Results:  Should be small numbers, and never negative.

Additional info:

Disable CONFIG_HOTPLUG_CPU until fixed.
Comment 1 Dave Jones 2005-10-05 18:22:18 EDT
*** Bug 169696 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2005-10-06 01:19:19 EDT
*** Bug 169983 has been marked as a duplicate of this bug. ***
Comment 3 Brian Gerst 2005-10-07 00:19:41 EDT
Created attachment 119699 [details]
[PATCH] Fix hotplug cpu on x86_64
Comment 4 Ignacio Vazquez-Abrams 2005-10-11 10:02:04 EDT
*** Bug 170408 has been marked as a duplicate of this bug. ***
Comment 5 Brian Gerst 2005-10-11 19:49:18 EDT
Fixed in kernel 2.6.14-rc4
Comment 6 Alexandre Oliva 2005-10-19 12:52:38 EDT
kernel-2.6.13-1.1601_FC5 has the fix.

Note You need to log in before you can comment on or make changes to this bug.